Bug 1442743 - Review Request: python-bz2file - Read and write bzip2-compressed files
Summary: Review Request: python-bz2file - Read and write bzip2-compressed files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1124239
TreeView+ depends on / blocked
 
Reported: 2017-04-17 10:58 UTC by Björn 'besser82' Esser
Modified: 2017-05-09 03:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-30 16:08:12 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-04-17 10:58:00 UTC
Description:

  bz2file is a Python library for reading and writing bzip2-compressed files.

  It contains a drop-in replacement for the file interface in the standard
  library’s bz2 module, including features from the latest development
  version of CPython that are not available in older releases.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=19040607


Issues:

  No known issues.  Rpmlint has some false positive complaints.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/python-bz2file.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/python-bz2file-0.98-0.1.fc27.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2017-04-20 18:58:56 UTC
Taken

Comment 2 Christian Dersch 2017-04-20 19:13:09 UTC
Looks fine, approved! 

One point: no license text included by upstream, please file a ticket on upstreams github repo to include one :) https://github.com/nvawda/bz2file


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 3 files
     have unknown license. Detailed output of licensecheck in
     /home/review/1442743-python-bz2file/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6/site-packages/__pycache__,
     /usr/lib/python3.6
===> Known general issue

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.

===> Is noarch package

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
==> license text missing

[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-bz2file , python3-bz2file
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
===> is noarch anyway

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-bz2file-0.98-0.1.fc27.noarch.rpm
          python3-bz2file-0.98-0.1.fc27.noarch.rpm
          python-bz2file-0.98-0.1.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-bz2file (rpmlib, GLIBC filtered):
    python(abi)

python2-bz2file (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-bz2file:
    python3-bz2file
    python3.6dist(bz2file)
    python3dist(bz2file)

python2-bz2file:
    python-bz2file
    python2-bz2file
    python2.7dist(bz2file)
    python2dist(bz2file)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/b/bz2file/bz2file-0.98.tar.gz :
  CHECKSUM(SHA256) this package     : 64c1f811e31556ba9931953c8ec7b397488726c63e09a4c67004f43bdd28da88
  CHECKSUM(SHA256) upstream package : 64c1f811e31556ba9931953c8ec7b397488726c63e09a4c67004f43bdd28da88


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1442743
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2017-04-21 12:54:39 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-bz2file

Comment 4 Fedora Update System 2017-04-26 08:40:17 UTC
python-bz2file-0.98-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6eadef5bfd

Comment 5 Fedora Update System 2017-04-26 18:47:49 UTC
python-bz2file-0.98-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e187fe105b

Comment 6 Fedora Update System 2017-04-26 19:19:14 UTC
python-bz2file-0.98-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6eadef5bfd

Comment 7 Fedora Update System 2017-04-26 19:52:26 UTC
python-bz2file-0.98-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cd15a0aad

Comment 8 Fedora Update System 2017-04-26 21:52:28 UTC
python-bz2file-0.98-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c29c65844c

Comment 9 Fedora Update System 2017-04-27 06:48:54 UTC
python-bz2file-0.98-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9bbadddc13

Comment 10 Fedora Update System 2017-04-30 16:08:12 UTC
python-bz2file-0.98-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-05-04 18:24:30 UTC
python-bz2file-0.98-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-05 04:05:38 UTC
python-bz2file-0.98-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-09 03:50:13 UTC
python-bz2file-0.98-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-09 03:54:29 UTC
python-bz2file-0.98-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.